<!DOCTYPE html>
<html>
    <head>
        <style> 
            .div1 {
                width: 300px;
                height: 100px;
                border: 1px solid blue;

            }

            .div2 {
                width: 300px;
                height: 100px;    
                padding: 50px;
                border: 1px solid red;
                box-sizing: border-box;
                /*
                By default, the width and height of an element is calculated like this:
                width + padding + border = actual width of an element
                height + padding + border = actual height of an element
                This means: When you set the width/height of an element, the element often appear bigger than you have set (because the element's border and padding are added to the element's specified width/height).
                The box-sizing property solves this problem.
                The box-sizing property allows us to include the padding and border in an element's total width and height. 
                */

            }
        </style>
    </head>
    <body>

        <div class="div1">This div is smaller (width is 300px and height is 100px).</div>
        <br>
        <div class="div2">This div is bigger (width is also 300px and height is 100px).</div>

    </body>
</html>
